## ros-noetic-rc-dynamics-api 0.10.1

=== rc_dynamics_api/opt/CMakeLists.txt ===
# unset version variables
unset(PROJECT_VERSION)
unset(PACKAGE_VERSION)

if (MSVC)
  # Switching off compiler warnings in sub-modules and generated code
  add_definitions("/wd4013")
  add_definitions("/wd4061")
  add_definitions("/wd4062")
  add_definitions("/wd4090")
  add_definitions("/wd4100")
  add_definitions("/wd4125")
  add_definitions("/wd4127")
  add_definitions("/wd4242")
  add_definitions("/wd4255")
  add_definitions("/wd4265")
  add_definitions("/wd4267")
  add_definitions("/wd4296")
  add_definitions("/wd4310")
  add_definitions("/wd4312")
  add_definitions("/wd4365")
  add_definitions("/wd4388")
  add_definitions("/wd4389")
  add_definitions("/wd4456")
  add_definitions("/wd4457")
  add_definitions("/wd4505")
  add_definitions("/wd4514")
  add_definitions("/wd4548")
  add_definitions("/wd4574")
  add_definitions("/wd4623")
  add_definitions("/wd4625")
  add_definitions("/wd4626")
  add_definitions("/wd4647")
  add_definitions("/wd4668")
  add_definitions("/wd4701")
  add_definitions("/wd4702")
  add_definitions("/wd4703")
  add_definitions("/wd4710")
  add_definitions("/wd4711")
  add_definitions("/wd4738")
  add_definitions("/wd4774")
  add_definitions("/wd4820")
  add_definitions("/wd4946")
  add_definitions("/wd5026")
  add_definitions("/wd5027")
endif ()

# Submodule: CPR

if (WIN32)
  option(CMAKE_USE_OPENSSL "Use OpenSSL code. Experimental" OFF)
endif ()

## disabling tests for cpr as googletests cause some issue in catkin workflow:
#  "CMake Error at cpr/opt/googletest/cmake/internal_utils.cmake:145 (add_library):
#  add_library cannot create target "gtest" because another target with the
#  same name already exists.  The existing target is a shared library created
#  in source directory "/usr/src/gtest".  See documentation for policy CMP0002
#  for more details.
#  Call Stack (most recent call first):
#  cpr/opt/googletest/cmake/internal_utils.cmake:168 (cxx_library_with_type)
#  cpr/opt/googletest/CMakeLists.txt:80 (cxx_library)"
set(BUILD_CPR_TESTS OFF CACHE BOOL "Don't build cpr tests")

# build cpr as static library with position independent code
set(BUILD_SHARED_LIBS OFF)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

if (WIN32)
  set(USE_SYSTEM_CURL_DEFAULT OFF)
else ()
  set(USE_SYSTEM_CURL_DEFAULT ON)
endif ()

option(USE_SYSTEM_CURL "If ON, this project will look in the system paths for an installed curl library" ${USE_SYSTEM_CURL_DEFAULT})

if (USE_SYSTEM_CURL)
  find_package(CURL)
endif ()

if (NOT USE_SYSTEM_CURL OR NOT CURL_FOUND)
  set(USE_SYSTEM_CURL OFF CACHE BOOL "If ON, this project will look in the system paths for an installed curl library" FORCE)

  set(BUILD_CURL_EXE ON CACHE BOOL "Build CURL command line tool")
  set(BUILD_TESTING OFF CACHE BOOL "Build testing tree")
endif ()

add_subdirectory(cpr EXCLUDE_FROM_ALL)

# Submodule: Protobuf

option(USE_SYSTEM_PROTOBUF "If ON, this project will look in the system paths for an installed protobuf compiler and library" ON)

if (USE_SYSTEM_PROTOBUF)
  set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/../../cmake/Modules/")
  find_package(ProtocolBuffers)

  if (NOT PROTOBUF_LIBRARY OR NOT PROTOBUF_INCLUDE_DIR OR NOT PROTOBUF_PROTOC_EXECUTABLE)
    set(USE_SYSTEM_PROTOBUF OFF CACHE BOOL "If ON, this project will look in the system paths for an installed protobuf compiler or library" FORCE)
  endif ()
endif ()

if (NOT USE_SYSTEM_PROTOBUF)
  message(STATUS "Not using system Protobuf, using built-in protobuf project instead.")

  option(protobuf_BUILD_EXAMPLES "Build examples" OFF)
  option(protobuf_BUILD_SHARED_LIBS "Build shared libraries" OFF)
  option(protobuf_BUILD_TESTS "Build tests" OFF)
  option(protobuf_INSTALL_EXAMPLES "Build tests" OFF)

  if (WIN32)
    option(protobuf_MSVC_STATIC_RUNTIME "Set using static runtime under windows" OFF)
  endif ()

  add_subdirectory(protobuf/cmake)

  set(PROTOBUF_FOUND TRUE CACHE INTERNAL "Protobuf found")
  set(PROTOBUF_PROTOC_EXECUTABLE protoc CACHE INTERNAL "Protobuf protoc")
  set(PROTOBUF_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/protobuf/src" CACHE INTERNAL "Protobuf include directory")
  set(PROTOBUF_LIBRARY libprotobuf CACHE INTERNAL "Protobuf libprotobuf")
  set(PROTOBUF_LIBRARIES "" CACHE INTERNAL "Protobuf support libraries")

  set_property(TARGET protoc PROPERTY FOLDER "external")
  set_property(TARGET libprotobuf PROPERTY FOLDER "external")
  set_property(TARGET libprotobuf-lite PROPERTY FOLDER "external")
  set_property(TARGET libprotoc PROPERTY FOLDER "external")
endif()

=== debian/changelog ===
ros-noetic-rc-dynamics-api (0.10.1-1focal) focal; urgency=high

  * update cpr for support of curl >= 7.62.0
  * update nlohmann json to 3.7.3

 -- Felix Ruess <felix.ruess@roboception.de>  Fri, 03 Apr 2020 22:00:00 -0000

ros-noetic-rc-dynamics-api (0.10.0-1focal) focal; urgency=high

  * improve exception handling using new NotAvailable

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 10 Sep 2019 22:00:00 -0000

ros-noetic-rc-dynamics-api (0.9.0-1focal) focal; urgency=high

  * add getCam2ImuTransform

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 10 Sep 2019 22:00:00 -0000

ros-noetic-rc-dynamics-api (0.8.0-1focal) focal; urgency=high

  * BREAKING CHANGE: major refactoring to comply to naming conventions
  * improve cleanup of requested streams
  * add support for http status code 429: too many requests
  * improve error handling and messages
  * add state getters for rc_dynamics, rc_slam, rc_stereo_ins
  * return UNKNOWN if dynamics state is not accessible
  * improve startup behaviour of RemoteInterface

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 07 May 2019 22:00:00 -0000

ros-noetic-rc-dynamics-api (0.7.1-1focal) focal; urgency=high

  * update cmake files for version and packaging

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 03 Feb 2019 23:00:00 -0000

ros-noetic-rc-dynamics-api (0.7.0-1focal) focal; urgency=high

  * add saveSlamMap, loadSlamMap and removeSlamMap methods
  * getSlamTrajectory doesn't time out by default anymore

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 01 Jul 2018 22:00:00 -0000

ros-noetic-rc-dynamics-api (0.6.0-1focal) focal; urgency=high

  * add methods to access slam "reset" service
  * use single json.hpp include instead of submodule

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 18 Apr 2018 22:00:00 -0000

ros-noetic-rc-dynamics-api (0.5.0-1focal) focal; urgency=high

  * Updates for rc_visard image version v1.1.x with support for SLAM
  * added startSlam, restartSlam, stopSlam and getTrajectory
  * support Windows build

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 25 Feb 2018 23:00:00 -0000

ros-noetic-rc-dynamics-api (0.4.0-1focal) focal; urgency=high

  * refactoring: simplified csv-printing in rcdynamics_stream tool
  * refactoring: better exception handling
  * refactoring: renaming, wording is now PbMsgType instead of ProtoType
  * added '-l option' to rcdynamics_stream tool: list avail. streams
  * improvements and bug fixes in cmake
  * use rc_dynamics_msgs submodule

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 26 Sep 2017 22:00:00 -0000

ros-noetic-rc-dynamics-api (0.3.0-1focal) focal; urgency=high

  * start/stop rc_dynamics node instead of rc_stereo_ins
  * don't start/stop rc_dynamics for imu stream

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 05 Sep 2017 22:00:00 -0000

ros-noetic-rc-dynamics-api (0.2.1-1focal) focal; urgency=high

  * bug fix: header not installed

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 30 Aug 2017 22:00:00 -0000

ros-noetic-rc-dynamics-api (0.2.0-1focal) focal; urgency=high

  * bug fix: wrong name of tool: vins_stream -> rcdynamics_stream

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 29 Aug 2017 22:00:00 -0000

ros-noetic-rc-dynamics-api (0.1.0-1focal) focal; urgency=high

  * Initial release

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 28 Aug 2017 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-rc-dynamics-api
Section: misc
Priority: optional
Maintainer: Felix Ruess <felix.ruess@roboception.de>
Build-Depends: debhelper (>= 9.0.0), cmake, curl, libcurl4-openssl-dev, libprotobuf-dev, libprotoc-dev, protobuf-compiler
Homepage: http://rc-visard.com
Standards-Version: 3.9.2

Package: ros-noetic-rc-dynamics-api
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, curl, libcurl4-openssl-dev, libprotobuf17, ros-noetic-catkin
Description: The rc_dynamics_api provides an API for easy handling of the dynamic-state data streams provided by Roboception's stereo camera with self-localization.
 See http://rc-visard.com Dynamic-state estimates of the rc_visard relate to its self-localization and ego-motion estimation. These states refer to rc_visard's current pose, velocity, or acceleration and are published on demand via several data streams. For a complete list and descriptions of these dynamics states and the respective data streams please refer to rc_visard's user manual.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rc-dynamics-api//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
